/// <reference types="react" />
import { type DataServiceLocator } from 'mongodb-data-service/provider';
import type { DataService } from 'mongodb-data-service';
import type { PipelineStorage, RecentQueryStorage } from '@mongodb-js/my-queries-storage';
declare function activate(): void;
declare function deactivate(): void;
export declare const MyQueriesPlugin: import("hadron-app-registry").HadronPluginComponent<Record<string, never> & {
    children?: import("react").ReactNode;
}, {
    dataService: DataServiceLocator<keyof DataService>;
    instance: () => import("mongodb-instance-model").MongoDBInstance;
    logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
} & {
    queryStorage?: (() => RecentQueryStorage) | undefined;
    pipelineStorage?: (() => PipelineStorage) | undefined;
}>;
export declare const WorkspaceTab: {
    name: "My Queries";
    component: import("hadron-app-registry").HadronPluginComponent<Record<string, never> & {
        children?: import("react").ReactNode;
    }, {
        dataService: DataServiceLocator<keyof DataService>;
        instance: () => import("mongodb-instance-model").MongoDBInstance;
        logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
    } & {
        queryStorage?: (() => RecentQueryStorage) | undefined;
        pipelineStorage?: (() => PipelineStorage) | undefined;
    }>;
};
export type MyQueriesWorkspace = {
    type: typeof WorkspaceTab['name'];
} & React.ComponentProps<typeof WorkspaceTab['component']>;
export default MyQueriesPlugin;
export { activate, deactivate };
export { default as metadata } from '../package.json';
//# sourceMappingURL=index.d.ts.map